diff --git a/doc/src/sgml/release-old.sgml b/doc/src/sgml/release-old.sgml
index d55209d85b..5f0d04f5b1 100644
--- a/doc/src/sgml/release-old.sgml
+++ b/doc/src/sgml/release-old.sgml
@@ -1,7 +1,9 @@
 <!-- doc/src/sgml/release-old.sgml -->
 <!-- See header comment in release.sgml about typical markup -->
 
- <sect1 id="release-7-3-21">
+<section>
+ <title>Release 7.3 and older</title>
+ <section id="release-7-3-21">
   <title>Release 7.3.21</title>
 
   <formalpara>
@@ -20,7 +22,7 @@
    release branch soon.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.21</title>
 
    <para>
@@ -29,9 +31,9 @@
     see <xref linkend="release-7-3-13"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -110,10 +112,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-20">
+ <section id="release-7-3-20">
   <title>Release 7.3.20</title>
 
   <formalpara>
@@ -125,7 +127,7 @@
    This release contains fixes from 7.3.19.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.20</title>
 
    <para>
@@ -134,9 +136,9 @@
     see <xref linkend="release-7-3-13"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -171,10 +173,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-19">
+ <section id="release-7-3-19">
   <title>Release 7.3.19</title>
 
   <formalpara>
@@ -187,7 +189,7 @@
    including a security fix.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.19</title>
 
    <para>
@@ -196,9 +198,9 @@
     see <xref linkend="release-7-3-13"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -227,10 +229,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-18">
+ <section id="release-7-3-18">
   <title>Release 7.3.18</title>
 
   <formalpara>
@@ -243,7 +245,7 @@
    a security fix.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.18</title>
 
    <para>
@@ -252,9 +254,9 @@
     see <xref linkend="release-7-3-13"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -289,10 +291,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-17">
+ <section id="release-7-3-17">
   <title>Release 7.3.17</title>
 
   <formalpara>
@@ -304,7 +306,7 @@
    This release contains a variety of fixes from 7.3.16.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.17</title>
 
    <para>
@@ -313,9 +315,9 @@
     see <xref linkend="release-7-3-13"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -345,10 +347,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-16">
+ <section id="release-7-3-16">
   <title>Release 7.3.16</title>
 
   <formalpara>
@@ -360,7 +362,7 @@
    This release contains a variety of fixes from 7.3.15.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.16</title>
 
    <para>
@@ -369,9 +371,9 @@
     see <xref linkend="release-7-3-13"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -387,10 +389,10 @@
 </para> </listitem>
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-15">
+ <section id="release-7-3-15">
   <title>Release 7.3.15</title>
 
   <formalpara>
@@ -403,7 +405,7 @@
    including patches for extremely serious security issues.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.15</title>
 
    <para>
@@ -423,9 +425,9 @@
     <function>PQescapeStringConn()</function>) to perform string escaping,
     rather than relying on <foreignphrase>ad hoc</foreignphrase> code to do it.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -479,10 +481,10 @@ Fuhr)</para></listitem>
 <listitem><para>Fix various minor memory leaks</para></listitem>
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-14">
+ <section id="release-7-3-14">
   <title>Release 7.3.14</title>
 
   <formalpara>
@@ -494,7 +496,7 @@ Fuhr)</para></listitem>
    This release contains a variety of fixes from 7.3.13.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.14</title>
 
    <para>
@@ -502,9 +504,9 @@ Fuhr)</para></listitem>
     if you are upgrading from a version earlier than 7.3.13,
     see <xref linkend="release-7-3-13"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -536,10 +538,10 @@ and <function>isinf</function> during configure (Tom)</para></listitem>
 
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-13">
+ <section id="release-7-3-13">
   <title>Release 7.3.13</title>
 
   <formalpara>
@@ -551,7 +553,7 @@ and <function>isinf</function> during configure (Tom)</para></listitem>
    This release contains a variety of fixes from 7.3.12.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.13</title>
 
    <para>
@@ -562,9 +564,9 @@ and <function>isinf</function> during configure (Tom)</para></listitem>
     columns after updating, if you are affected by the locale or
     <application>plperl</application> issues described below.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -598,10 +600,10 @@ what's actually returned by the query (Joe)</para></listitem>
 
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-12">
+ <section id="release-7-3-12">
   <title>Release 7.3.12</title>
 
   <formalpara>
@@ -613,7 +615,7 @@ what's actually returned by the query (Joe)</para></listitem>
    This release contains a variety of fixes from 7.3.11.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.12</title>
 
    <para>
@@ -621,9 +623,9 @@ what's actually returned by the query (Joe)</para></listitem>
     if you are upgrading from a version earlier than 7.3.10,
     see <xref linkend="release-7-3-10"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -645,10 +647,10 @@ table has been dropped</para></listitem>
 
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-11">
+ <section id="release-7-3-11">
   <title>Release 7.3.11</title>
 
   <formalpara>
@@ -660,7 +662,7 @@ table has been dropped</para></listitem>
    This release contains a variety of fixes from 7.3.10.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.11</title>
 
    <para>
@@ -668,9 +670,9 @@ table has been dropped</para></listitem>
     if you are upgrading from a version earlier than 7.3.10,
     see <xref linkend="release-7-3-10"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -696,10 +698,10 @@ enabled</para></listitem>
 the variable is of pass-by-reference type</para></listitem>
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-3-10">
+ <section id="release-7-3-10">
   <title>Release 7.3.10</title>
 
   <formalpara>
@@ -712,7 +714,7 @@ the variable is of pass-by-reference type</para></listitem>
    security-related issues.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.10</title>
 
    <para>
@@ -773,9 +775,9 @@ VACUUM FREEZE;
 UPDATE pg_database SET datallowconn = false WHERE datname = 'template0';
 </programlisting>
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -822,10 +824,10 @@ month-related formats</para></listitem>
 <type>RECORD</type></para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-3-9">
+ <section id="release-7-3-9">
   <title>Release 7.3.9</title>
 
   <formalpara>
@@ -838,15 +840,15 @@ month-related formats</para></listitem>
    security-related issues.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.9</title>
 
    <para>
     A dump/restore is not required for those running 7.3.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -878,10 +880,10 @@ in case of nested merge joins could give outright wrong answers.
 datestyles</para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-3-8">
+ <section id="release-7-3-8">
   <title>Release 7.3.8</title>
 
   <formalpara>
@@ -894,15 +896,15 @@ datestyles</para></listitem>
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.8</title>
 
    <para>
     A dump/restore is not required for those running 7.3.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -928,10 +930,10 @@ concern since there is no reason for non-developers to use this script anyway.
 </para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-3-7">
+ <section id="release-7-3-7">
   <title>Release 7.3.7</title>
 
   <formalpara>
@@ -944,15 +946,15 @@ concern since there is no reason for non-developers to use this script anyway.
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.7</title>
 
    <para>
     A dump/restore is not required for those running 7.3.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -968,10 +970,10 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Properly schema-qualify function names when pg_dump'ing a CAST</para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-3-6">
+ <section id="release-7-3-6">
   <title>Release 7.3.6</title>
 
   <formalpara>
@@ -984,7 +986,7 @@ since <productname>PostgreSQL</productname> 7.1.
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.6</title>
 
    <para>
@@ -992,9 +994,9 @@ since <productname>PostgreSQL</productname> 7.1.
     running 7.3.*.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -1033,10 +1035,10 @@ in multibyte cases (Korea PostgreSQL Users' Group)</para></listitem>
 operations on bytea columns (Joe)</para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-3-5">
+ <section id="release-7-3-5">
   <title>Release 7.3.5</title>
 
   <formalpara>
@@ -1049,16 +1051,16 @@ operations on bytea columns (Joe)</para></listitem>
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.5</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those
     running 7.3.*.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -1084,10 +1086,10 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Fix corner case for btree search in parallel with first root page split</para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-3-4">
+ <section id="release-7-3-4">
   <title>Release 7.3.4</title>
 
   <formalpara>
@@ -1100,16 +1102,16 @@ operations on bytea columns (Joe)</para></listitem>
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.3.4</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those
     running 7.3.*.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -1123,11 +1125,11 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Work around buggy strxfrm() present in some Solaris releases (Tom)</para></listitem>
 <listitem><para>Properly escape jdbc setObject() strings to improve security (Barry)</para></listitem>
 </itemizedlist>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
-<sect1 id="release-7-3-3">
+<section id="release-7-3-3">
  <title>Release 7.3.3</title>
 
  <formalpara>
@@ -1139,16 +1141,16 @@ operations on bytea columns (Joe)</para></listitem>
   This release contains a variety of fixes for version 7.3.2.
  </para>
 
- <sect2>
+ <section>
   <title>Migration to Version 7.3.3</title>
 
   <para>
    A dump/restore is <emphasis>not</emphasis> required for those
    running version 7.3.*.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
 <itemizedlist>
@@ -1233,11 +1235,11 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Fixed problem with parsing table ACLs in JDBC</para></listitem>
 <listitem><para>Better error message for character set conversion problems in JDBC</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
 
-<sect1 id="release-7-3-2">
+<section id="release-7-3-2">
  <title>Release 7.3.2</title>
 
  <formalpara>
@@ -1250,16 +1252,16 @@ operations on bytea columns (Joe)</para></listitem>
  </para>
 
 
- <sect2>
+ <section>
   <title>Migration to Version 7.3.2</title>
 
   <para>
    A dump/restore is <emphasis>not</emphasis> required for those
    running version 7.3.*.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
 <itemizedlist>
@@ -1294,11 +1296,11 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Add casts between types lo and oid in contrib/lo</para></listitem>
 <listitem><para>fastpath code now checks for privilege to call function</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
 
-<sect1 id="release-7-3-1">
+<section id="release-7-3-1">
  <title>Release 7.3.1</title>
 
  <formalpara>
@@ -1311,7 +1313,7 @@ operations on bytea columns (Joe)</para></listitem>
  </para>
 
 
- <sect2>
+ <section>
   <title>Migration to Version 7.3.1</title>
 
   <para>
@@ -1321,9 +1323,9 @@ operations on bytea columns (Joe)</para></listitem>
    has a new major version number for this release, which might require
    recompilation of client code in certain cases.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
 <itemizedlist>
@@ -1344,11 +1346,11 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>SSL fixes (Nathan Mueller)</para></listitem>
 <listitem><para>Prevent composite column creation via ALTER TABLE (Tom)</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
 
-<sect1 id="release-7-3">
+<section id="release-7-3">
  <title>Release 7.3</title>
 
  <formalpara>
@@ -1356,7 +1358,7 @@ operations on bytea columns (Joe)</para></listitem>
   <para>2002-11-27</para>
  </formalpara>
 
- <sect2>
+ <section>
   <title>Overview</title>
 
   <para>
@@ -1478,9 +1480,9 @@ operations on bytea columns (Joe)</para></listitem>
    </varlistentry>
 
   </variablelist>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Migration to Version 7.3</title>
 
   <para>
@@ -1586,12 +1588,12 @@ operations on bytea columns (Joe)</para></listitem>
    </listitem>
 
   </itemizedlist>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
-  <sect3>
+  <section>
    <title>Server Operation</title>
 <itemizedlist>
 <listitem><para>Add pg_locks view to show locks (Neil)</para></listitem>
@@ -1599,9 +1601,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Remove support for version 0 FE/BE protocol (<productname>PostgreSQL</productname> 6.2 and earlier) (Tom)</para></listitem>
 <listitem><para>Reserve the last few backend slots for superusers, add parameter superuser_reserved_connections to control this (Nigel J. Andrews)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Performance</title>
 <itemizedlist>
 <listitem><para>Improve startup by calling localtime() only once (Tom)</para></listitem>
@@ -1623,9 +1625,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Improve free space map performance on large tables (Stephen Marshall, Tom)</para></listitem>
 <listitem><para>Improved WAL write concurrency (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Privileges</title>
 <itemizedlist>
 <listitem><para>Add privileges on functions and procedural languages (Peter)</para></listitem>
@@ -1634,9 +1636,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Add SET SESSION AUTHORIZATION DEFAULT and RESET SESSION AUTHORIZATION (Tom)</para></listitem>
 <listitem><para>Allow functions to be executed with the privilege of the function owner (Peter)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Server Configuration</title>
 <itemizedlist>
 <listitem><para>Server log messages now tagged with LOG, not DEBUG (Bruce)</para></listitem>
@@ -1656,9 +1658,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Rename show_query_stats to show_statement_stats (Bruce)</para></listitem>
 <listitem><para>Add param log_min_error_statement to print commands to logs on error (Gavin)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Queries</title>
 <itemizedlist>
 <listitem><para>Make cursors insensitive, meaning their contents do not change (Tom)</para></listitem>
@@ -1680,9 +1682,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Allow FOR UPDATE to appear after LIMIT/OFFSET (Bruce)</para></listitem>
 <listitem><para>Add variable autocommit (Tom, David Van Wie)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Object Manipulation</title>
 <itemizedlist>
 <listitem><para>Make equals signs optional in CREATE DATABASE (Gavin Sherry)</para></listitem>
@@ -1717,9 +1719,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Add /contrib/adddepend to handle pre-7.3 object dependencies (Rod)</para></listitem>
 <listitem><para>Allow better casting when inserting/updating values (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Utility Commands</title>
 <itemizedlist>
 <listitem><para>Have COPY TO output embedded carriage returns and newlines as \r and \n (Tom)</para></listitem>
@@ -1757,9 +1759,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Fix rare index corruption when a page split affects bulk delete (Tom)</para></listitem>
 <listitem><para>Fix ALTER TABLE ... ADD COLUMN for inheritance (Alvaro Herrera)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Data Types and Functions</title>
 <itemizedlist>
 <listitem><para>Fix factorial(0) to return 1 (Bruce)</para></listitem>
@@ -1803,9 +1805,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Fix to_char(1,'FM999.99') to return a period (Karel)</para></listitem>
 <listitem><para>Fix trigger/type/language functions returning OPAQUE to return proper type (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Internationalization</title>
 <itemizedlist>
 <listitem><para>Add additional encodings: Korean (JOHAB), Thai (WIN874), Vietnamese (TCVN), Arabic (WIN1256), Simplified Chinese (GBK), Korean (UHC) (Eiji Tokuya)</para></listitem>
@@ -1821,9 +1823,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>pg_dumpall, pg_controldata, and pg_resetxlog now national-language aware (Peter)</para></listitem>
 <listitem><para>New and updated translations</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Server-side Languages</title>
 <itemizedlist>
 <listitem><para>Allow recursive SQL function (Peter)</para></listitem>
@@ -1834,9 +1836,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Make PL/pgSQL schema-aware (Joe)</para></listitem>
 <listitem><para>Remove some memory leaks (Nigel J. Andrews, Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>psql</title>
 <itemizedlist>
 <listitem><para>Don't lowercase psql \connect database name for 7.2.0 compatibility (Tom)</para></listitem>
@@ -1851,9 +1853,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Have psql reports its version number on startup (Tom)</para></listitem>
 <listitem><para>Allow \copy to specify column names (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>libpq</title>
 <itemizedlist>
 <listitem><para>Add ~/.pgpass to store host/user password combinations (Alvaro Herrera)</para></listitem>
@@ -1865,9 +1867,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Fix for SSL with non-blocking connections (Jack Bates)</para></listitem>
 <listitem><para>Add libpq connection timeout parameter (Denis A Ustimenko)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>JDBC</title>
 <itemizedlist>
 <listitem><para>Allow JDBC to compile with JDK 1.4 (Dave)</para></listitem>
@@ -1881,9 +1883,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Fix MD5 encryption handling for multibyte servers (Jun Kawai)</para></listitem>
 <listitem><para>Add support for prepared statements (Barry)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Miscellaneous Interfaces</title>
 <itemizedlist>
 <listitem><para>Fixed ECPG bug concerning octal numbers in single quotes (Michael)</para></listitem>
@@ -1897,9 +1899,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Remove src/bin/pgaccess from main tree, now at http://www.pgaccess.org (Bruce)</para></listitem>
 <listitem><para>Add pg_on_connection_loss command to libpgtcl (Gerhard Hintermayer, Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Source Code</title>
 <itemizedlist>
 <listitem><para>Fix for parallel make (Peter)</para></listitem>
@@ -1952,9 +1954,9 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Remove parameter wal_files because WAL files are now recycled (Bruce)</para></listitem>
 <listitem><para>Add version numbers to heap pages (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Contrib</title>
 <itemizedlist>
 <listitem><para>Allow inet arrays in /contrib/array (Neil)</para></listitem>
@@ -1979,12 +1981,12 @@ operations on bytea columns (Joe)</para></listitem>
 <listitem><para>Fixes to /contrib/cube (Bruno Wolff)</para></listitem>
 <listitem><para>Improve /contrib/fulltextindex (Christopher)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-2-8">
+ <section id="release-7-2-8">
   <title>Release 7.2.8</title>
 
   <formalpara>
@@ -1997,15 +1999,15 @@ operations on bytea columns (Joe)</para></listitem>
    security-related issue.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.2.8</title>
 
    <para>
     A dump/restore is not required for those running 7.2.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -2032,10 +2034,10 @@ month-related formats</para></listitem>
 (Marko Kreen)</para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-2-7">
+ <section id="release-7-2-7">
   <title>Release 7.2.7</title>
 
   <formalpara>
@@ -2048,15 +2050,15 @@ month-related formats</para></listitem>
    security-related issues.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.2.7</title>
 
    <para>
     A dump/restore is not required for those running 7.2.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -2080,10 +2082,10 @@ in case of nested merge joins could give outright wrong answers.
 datestyles</para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-2-6">
+ <section id="release-7-2-6">
   <title>Release 7.2.6</title>
 
   <formalpara>
@@ -2096,15 +2098,15 @@ datestyles</para></listitem>
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.2.6</title>
 
    <para>
     A dump/restore is not required for those running 7.2.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -2131,10 +2133,10 @@ concern since there is no reason for non-developers to use this script anyway.
 <listitem><para>Update to newer versions of Bison</para></listitem>
 </itemizedlist>
 
- </sect2>
-</sect1>
+ </section>
+</section>
 
- <sect1 id="release-7-2-5">
+ <section id="release-7-2-5">
   <title>Release 7.2.5</title>
 
   <formalpara>
@@ -2147,15 +2149,15 @@ concern since there is no reason for non-developers to use this script anyway.
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.2.5</title>
 
    <para>
     A dump/restore is not required for those running 7.2.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -2174,10 +2176,10 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Repair memory leaks in pg_dump</para></listitem>
 <listitem><para>Avoid conflict with system definition of <function>isblank()</function> function or macro</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
-<sect1 id="release-7-2-4">
+<section id="release-7-2-4">
  <title>Release 7.2.4</title>
 
  <formalpara>
@@ -2190,16 +2192,16 @@ since <productname>PostgreSQL</productname> 7.1.
   including fixes to prevent possible data loss.
  </para>
 
- <sect2>
+ <section>
   <title>Migration to Version 7.2.4</title>
 
   <para>
    A dump/restore is <emphasis>not</emphasis> required for those
    running version 7.2.*.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
 <itemizedlist>
@@ -2212,11 +2214,11 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Fix integer overflows in circle_poly(), path_encode(), path_add()  (Neil)</para></listitem>
 <listitem><para>Repair long-standing logic errors in lseg_eq(), lseg_ne(), lseg_center()</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
 
-<sect1 id="release-7-2-3">
+<section id="release-7-2-3">
  <title>Release 7.2.3</title>
 
  <formalpara>
@@ -2229,16 +2231,16 @@ since <productname>PostgreSQL</productname> 7.1.
   including fixes to prevent possible data loss.
  </para>
 
- <sect2>
+ <section>
   <title>Migration to Version 7.2.3</title>
 
   <para>
    A dump/restore is <emphasis>not</emphasis> required for those
    running version 7.2.*.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
 <itemizedlist>
@@ -2249,11 +2251,11 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Prevent spinlock hangs on SMP PPC machines (Tomoyuki Niijima)</para></listitem>
 <listitem><para>Fix <application>pg_dump</application> to properly dump FULL JOIN USING (Tom)</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
 
-<sect1 id="release-7-2-2">
+<section id="release-7-2-2">
  <title>Release 7.2.2</title>
 
  <formalpara>
@@ -2265,16 +2267,16 @@ since <productname>PostgreSQL</productname> 7.1.
   This release contains a variety of fixes for version 7.2.1.
  </para>
 
- <sect2>
+ <section>
   <title>Migration to Version 7.2.2</title>
 
   <para>
    A dump/restore is <emphasis>not</emphasis> required for those
    running version 7.2.*.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
 <itemizedlist>
@@ -2292,11 +2294,11 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Fix for crash with long DATA strings (Thomas, Neil)</para></listitem>
 <listitem><para>Fix for repeat(), lpad(), rpad() and long strings (Neil)</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
 
-<sect1 id="release-7-2-1">
+<section id="release-7-2-1">
  <title>Release 7.2.1</title>
 
  <formalpara>
@@ -2308,16 +2310,16 @@ since <productname>PostgreSQL</productname> 7.1.
   This release contains a variety of fixes for version 7.2.
  </para>
 
- <sect2>
+ <section>
   <title>Migration to Version 7.2.1</title>
 
   <para>
    A dump/restore is <emphasis>not</emphasis> required for those
    running version 7.2.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
 <itemizedlist>
@@ -2338,11 +2340,11 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Fix for array subscripts handling (Tom)</para></listitem>
 <listitem><para>Allow EXECUTE of "CREATE TABLE AS ... SELECT" in PL/pgSQL (Tom)</para></listitem>
 </itemizedlist>
- </sect2>
-</sect1>
+ </section>
+</section>
 
 
-<sect1 id="release-7-2">
+<section id="release-7-2">
  <title>Release 7.2</title>
 
  <formalpara>
@@ -2350,7 +2352,7 @@ since <productname>PostgreSQL</productname> 7.1.
   <para>2002-02-04</para>
  </formalpara>
 
- <sect2>
+ <section>
   <title>Overview</title>
 
   <para>
@@ -2437,9 +2439,9 @@ since <productname>PostgreSQL</productname> 7.1.
    </varlistentry>
 
   </variablelist>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Migration to Version 7.2</title>
 
   <para>
@@ -2508,12 +2510,12 @@ since <productname>PostgreSQL</productname> 7.1.
    separate LIMIT and OFFSET clauses, e.g. <literal>LIMIT 10 OFFSET
    20</literal>.
   </para>
- </sect2>
+ </section>
 
- <sect2>
+ <section>
   <title>Changes</title>
 
-  <sect3>
+  <section>
    <title>Server Operation</title>
 <itemizedlist>
 <listitem><para>Create temporary files in a separate directory (Bruce)</para></listitem>
@@ -2537,9 +2539,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Superuser ID now fixed at 1 (Peter E)</para></listitem>
 <listitem><para>New pg_ctl "reload" option (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Performance</title>
 <itemizedlist>
 <listitem><para>Optimizer improvements (Tom)</para></listitem>
@@ -2553,9 +2555,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>R-tree performance improvements (Kenneth Been)</para></listitem>
 <listitem><para>B-tree splits more efficient (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Privileges</title>
 <itemizedlist>
 <listitem><para>Change UPDATE, DELETE privileges to be distinct (Peter E)</para></listitem>
@@ -2567,9 +2569,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Fix bug in privilege modifications on newly created tables (Tom)</para></listitem>
 <listitem><para>Disallow access to pg_statistic for non-superuser, add user-accessible views (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Client Authentication</title>
 <itemizedlist>
 <listitem><para>Fork postmaster before doing authentication to prevent hangs (Peter E)</para></listitem>
